Name: libpoppler
Version: 0.3.3
Release: alt1

Summary: PDF rendering library
License: LGPL
Group: System/Libraries
Url: http://poppler.sourceforge.net/
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: poppler-%version.tar.gz

# Automatically added by buildreq on Wed May 25 2005
BuildRequires: fontconfig-devel freetype2-devel gcc-c++ gcc-g77
BuildRequires: glib2-devel gnome-libs-devel libatk-devel
BuildRequires: libgtk+2-devel libjpeg-devel libpango-devel
BuildRequires: libqt3-devel libstdc++-devel pkgconfig 
BuildRequires: xorg-x11-devel zlib-devel

%description
Poppler is a fork of the xpdf PDF viewer developed by Derek Noonburg
of Glyph and Cog, LLC.  The purpose of forking xpdf is twofold.
First, we want to provide PDF rendering functionality as a shared
library, to centralize the maintenence effort.  Today a number of
applications incorporate the xpdf code base, and whenever a security
issue is discovered, all these applications exchange patches and put
out new releases.  In turn, all distributions must package and release
new version of these xpdf based viewers.  It's safe to say that
there's a lot of duplicated effort with the current situaion.  Even if
poppler in the short term introduces yet another xpdf derived code
base to the world, we hope that over time these applications will
adopt poppler.  After all, we only need one application to use poppler
to break even.


%package -n %name-devel
Summary: Libraries, includes, etc. to develop poppler applications
Group: System/Libraries
Requires: %name = %version

%description -n %name-devel
Libraries, include files, etc you can use to develop poppler applications.

%package -n %name-devel-static
Summary: Static libraries for libpoppler
Group: System/Libraries
PreReq: %name-devel = %version-%release
License: GPL

%description -n %name-devel-static
This package contains development libraries required for packaging
statically linked libpoppler-based software.

%prep
%setup -q -n poppler-%version

%build
%configure
%make_build

%install
%makeinstall

%post -n %name -p %post_ldconfig

%postun -n %name -p %postun_ldconfig

%files -n %name
%doc AUTHORS ChangeLog INSTALL NEWS README TODO
%_libdir/libpoppler*.so.*

%files -n %name-devel
%_includedir/poppler
%_libdir/*.so
%_libdir/pkgconfig/*.pc

%files -n %name-devel-static
%_libdir/*.a

%changelog
* Tue Jun 21 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.3.3-alt1
- 0.3.3

* Mon Jun 06 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.3.2-alt2
- Change package summary

* Wed May 25 2005 Andrey Semenov <mitrofan@altlinux.ru> 0.3.2-alt1
- First version of RPM

